#ifndef QRCODE_H
#define QRCODE_H

#include <QString>

enum class QRcodeType
{
    Picture = 0,    // 生成GUI界面二维码图片
    CommandLine = 1     // 生成命令行界面打印二维码
};
/**
 * @brief QRcodeEncodeString 生成二维码数据
 * @param url 生成二维码的地址字符串
 * @param type 生成的二维码类型
 * @param width 返回二维码单行宽度
 * @param data 返回二维码数据
 * @return 返回二维码是否生成成功
 */
extern bool QRcodeEncodeString(const QString& url, QRcodeType type, int &width, QByteArray &data);

#endif
